Package org.pushingpixels.substance.internal.ui

# Class SubstanceViewportUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ViewportUI
javax.swing.plaf.basic.BasicViewportUI
org.pushingpixels.substance.internal.ui.SubstanceViewportUI

public class SubstanceViewportUI extends BasicViewportUI
UI for panels in Substance look and feel.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceViewportUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults(JComponent c)`
`protected boolean`
`toPaintBackground(JComponent c)`
Returns indication whether the viewport background should be filled.
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicViewportUI

`installUI, uninstallDefaults, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceViewportUI

public SubstanceViewportUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults(JComponent c)

Overrides:
  `installDefaults` in class `BasicViewportUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### toPaintBackground

protected boolean toPaintBackground(JComponent c)
Returns indication whether the viewport background should be filled.

Parameters:
  `c` - Component (should be `JViewport`).
Returns:
  `true` if the viewport background should be filled with the background color, `false` otherwise.